Bug 440680 - Review Request: lua-logging - A simple API to use logging features in Lua
Review Request: lua-logging - A simple API to use logging features in Lua
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 440678 440679
Blocks: 440681
  Show dependency treegraph
 
Reported: 2008-04-04 09:55 EDT by Tim Niemueller
Modified: 2010-11-07 10:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-13 17:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tim Niemueller 2008-04-04 09:55:28 EDT
Spec URL: http://fedorapeople.org/~timn/luastuff/lua-logging.spec
SRPM URL: http://fedorapeople.org/~timn/luastuff/lua-logging-1.1.4-1.fc8.src.rpm
Description:
LuaLogging provides a simple API to use logging features in Lua. Its design was
based on log4j. LuaLogging currently supports, through the use of appenders,
console, file, email, socket and sql outputs.

Website: http://www.keplerproject.org/lualogging/
Comment 1 Tim Niemueller 2008-04-08 17:32:35 EDT
Hi Michel. The dependencies have just been approved and you can start reviewing
this package and #440681 now.
Comment 2 Michel Alexandre Salim 2008-04-09 20:45:49 EDT
Thanks for the heads-up!

Same problem as luadoc:
- rpmlint: strange permission for tarball: 0600
- package is noarch but installs files in %{_libdir}
- does not seem to work on x86_64:

> require "logging.console"
> local logger = logging.console()
> =logger
nil
Comment 3 Tim Niemueller 2008-04-10 04:49:30 EDT
Same as luadoc, re-uploaded the very same SRPM with fixed source tarball
permissions. For this package there is nothing in %{_libdir} as well, tricked by
lualibdir define? Please otherwise attach "rpm -qpl" output of resulting package.

For the test you did: it cannot work the way you did it! The Lua shell compiles
every line as its own chunk. If you use "local logger" then it's only defined
for that very line and cannot be used in the next line. You can use either:
> local logger = logging.console(); logger:info("Test")
(have it both on one line such that logger is defined) or just don't have the
local such that the logger is global and thus available in the following lines.
This has nothing to do with x86_64 (I'm testing on this platform myself) - after
all this package is true noarch.
Comment 4 Michel Alexandre Salim 2008-04-10 14:16:12 EDT
Aha! So that's the scope of local. I was expecting the context to be the entire
top-level, not just the single compilation unit. Thanks.

• rpmlint: OK
• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines: OK
• license field accurate: OK
• license file not deleted: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK
• builds under >= 1 archs, others excluded: noarch
• build dependencies complete: OK
• locales handled using %find_lang, no %{_datadir}/locale: N/A
• library -> ldconfig: N/A
• relocatable: give reason: N/A
• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• macros used consistently: OK
• Package contains code: OK
• large docs => -doc: N/A
• doc not runtime dependent: N/A
• headers in -devel: N/A
• static in -static: N/A
• if contains *.pc, req pkgconfig: N/A
• if libfiles are suffixed, the non-suffixed goes to devel: N/A
• devel requires versioned base package: N/A
• desktop file uses desktop-file-install: N/A
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• if license text missing, ask upstream to include it: N/A
• desc and summary contain translations if available: No
• package build in mock on all architectures: OK
• package functioned as described: OK
• scriplets are sane: OK
• other subpackages should require versioned base: N/A
• if main pkg is development-wise, pkgconfig can go in main package: N/A
• require package not files: OK

APPROVED
Comment 5 Tim Niemueller 2008-04-10 17:33:22 EDT
New Package CVS Request
=======================
Package Name: lua-logging
Short Description: A simple API to use logging features in Lua
Owners: timn
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-04-12 18:00:01 EDT
cvs done.
Comment 7 Tim Niemueller 2010-11-06 20:19:23 EDT
Package Change Request
======================
Package Name: lua-logging
New Branches: el5 el6
Owners: timn
Comment 8 Jason Tibbitts 2010-11-07 10:39:57 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.